## slbackup-php 0.2

=== Makefile ===
PACKAGE = slbackup-php
LIBS= \
	index.php \
	functions.php

SCRIPTS= \
	mypass.sh

CONFS= \
	apache.conf 

SAMPLES= 

DOCS= \
	COPYRIGHT

BIN= 

INSTALL     = install -p -m 755
INSTALL_DATA= install -D -p -m 644
LANG=C

prefix     = /usr/local
sysconfdir = /etc/$(PACKAGE)
sharedir   = $(prefix)/share/$(PACKAGE)
webdir     = $(sharedir)/web
scriptdir  = $(sharedir)/script
templatedir= $(sharedir)/templates
localedir  = $(sharedir)/locales
docdir     = $(prefix)/share/doc/$(PACKAGE)
htmldocdir = $(prefix)/share/doc/$(PACKAGE)/html
sampledir  = $(prefix)/share/doc/$(PACKAGE)/examples
bindir	   = $(prefix)/bin

all:

po/*.po: po/slbackup-php.pot
	cp $@ $@.bak ; \
	msgmerge $@.bak $^ > $@ 

locales/mo-stamp: po/*.po
	for po in $^ ; do \
	    locale=$$(basename $$po .po) ; \
	    echo $$locale ; \
	    mkdir -p locales/$$locale/LC_MESSAGES ; \
	    msgfmt --statistics -o locales/$$locale/LC_MESSAGES/$(PACKAGE).mo $$po ; \
	done
	touch locales/mo-stamp

mo-files: locales/mo-stamp

po/slbackup-php.pot: src/*.php templates/*.tpl
	tsmarty2c.php templates | \
	    xgettext --add-comments --default-domain=slbackup-php \
	        - src/*.php --output po/slbackup-php.pot


install: all
	install -d $(DESTDIR)$(sharedir)
	install -d $(DESTDIR)$(sysconfdir)
	install -d $(DESTDIR)$(docdir)
	#install -d $(DESTDIR)$(htmldocdir)
	#install -d $(DESTDIR)$(sampledir)
	install -d $(DESTDIR)$(webdir)
	install -d $(DESTDIR)$(scriptdir)
	install -d $(DESTDIR)$(templatedir)
	install -d $(DESTDIR)$(localedir)
	install -d $(DESTDIR)$(bindir)


	for locale in $$(find locales -type f -name $(PACKAGE).mo -printf "%P ") ; do \
	    install -d $(DESTDIR)$(localedir)/$$(dirname $$locale) ; \
	    $(INSTALL_DATA) locales/$$locale $(DESTDIR)$(localedir)/$$(dirname $$locale) ; \
	done

	for templates in $$(find templates -type f -name "*.tpl" -printf "%P ") ; do \
	    $(INSTALL_DATA) templates/$$templates $(DESTDIR)$(templatedir) ; \
	done

	for script in $(SCRIPTS); do \
		$(INSTALL) script/$$script $(DESTDIR)$(scriptdir); \
	done

	for lib in $(LIBS); do \
		$(INSTALL_DATA) src/$$lib $(DESTDIR)$(webdir) ; \
	done

	for conf in $(CONFS); do \
		$(INSTALL_DATA) etc/$$conf $(DESTDIR)$(sysconfdir) ; \
	done

	for doc in $(DOCS); do \
		$(INSTALL_DATA) $$doc $(DESTDIR)$(docdir) ; \
	done

	for htmldoc in $$(find doc -type f -name "*.html" -printf "%P ") ; do \
		$(INSTALL_DATA) doc/$$htmldoc $(DESTDIR)$(htmldocdir) ; \
	done

	for sample in $(SAMPLES); do \
		$(INSTALL_DATA) examples/$$sample $(DESTDIR)$(sampledir) ; \
	done

	for bin in $(BIN); do \
		$(INSTALL) bin/$$bin $(DESTDIR)$(bindir) ; \
	done


clean:
	# Remove CVS cruft
	find . -type f -name '.#*' -o -name "*.bak" -o -name "*~" | xargs -r rm -v
	# Removed completed translations
	rm -rf  locales

dist:
	debuild -us -uc

## slbackup-php 0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PACKAGE = slbackup-php
 LIBS= \
 	index.php \
+	sl-style.css \
 	functions.php
 
 SCRIPTS= \

## slbackup-php 0.4.3

=== debian/changelog ===
slbackup-php (0.4.3-1) unstable; urgency=low

  * New maintainer, package becomes team-maintained: Debian Edu Packaging Team.
  * New upstream version. (Closes: #646537, #670095)
  * /debian/source/format:
    + Switch to "3.0 (quilt)".
  * /debian/rules:
    + Run debconf-updatepo during /debian/rules build, not clean. Makes
      slbackup-php buildable with git-buildpackage.
    + Fix lintian warnings: debian-rules-missing-recommended-target build-arch,
      debian-rules-missing-recommended-target build-indep.
    + Remove dh_quilt_(un)patch calls.
  * Lintian issues fixed:
    + I: slbackup-php: package-contains-empty-directory usr/bin/
    + P: slbackup-php source: unneeded-build-dep-on-quilt
    + P: slbackup-php: no-homepage-field
    + W: slbackup-php source: dh-clean-k-is-deprecated
  * /debian/control:
    + Bump Standards to 3.9.3.
    + Add Vcs-Git and Vcs-Browser.
  * /debian/watch (new):
    + Provide watch file for upstream source versions.
  * /debian/compat:
    + Raise compat level to 7.
  * /debian/README.Source:
    + Add upstream Vcs-Browser location to README.Source.
  * /debian/slbackup-php.desktop:
    + Let URL point to http://localhost/slbackup-php.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 12 Jul 2012 14:43:54 +0200

slbackup-php (0.3-3) unstable; urgency=low

  * Mike Gabriel becomes Debian package maintainer.
  * Enable quilt patch system. Bump Standards-Version from 3.7.3 to 3.9.2.
  * Add generic README.source that explains the usage of quilt.
  * Add patch: 001_slbackup-php_cookie+request-merge.patch. Fixes reappearing
    login page on every click (closes: #655832).
  * Add patch: 002_slbackup-php_restore-paths-with-blanks.patch. Allows restore
    of files with blanks in their name. Closes: #565181.
    Patch provided by Cyril ETCHEVERRIA <cyril.e@wanadoo.fr> -> thanks!
  * Add patch: 003_slbackup-php_fix-failed-in-status-template.patch,
    for last failed backup really show timestamp of the last failed backup
    and not erroneously the timestamp of the last successful backup.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 18 Jan 2012 17:05:14 +0100

slbackup-php (0.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Jan 2011 07:30:19 +0100

slbackup-php (0.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly use 1.0 as source format
  * Explicitly point to version 2 of the GPL in debian/copyright
  * Don't hardcode path to a2enmode and invoke-rc.d in postinst script
  * Complete copyright in debian/copyright
  * Add ${misc:Depends} in dependencies to properly deal with
    dependencies triggerred by debhelper utilities
  * Drop useless call to dh_desktop in debian/rules (this command
    does nothing now)
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #555695
    - Spanish (Omar Campagne).  Closes: #578139
    - Danish (Joe Hansen).  Closes: #581041

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 May 2010 07:07:57 +0200

slbackup-php (0.3-2) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * Make the list of snapshots sorted

  [ Patrick Winnertz ]
  * Changed my maintainer address to winnie@debian.org.
  * Added debian/po/nl.po . Thanks to Bart Cornelis (Closes: #450972)
  * Added debian/po/fi.po . Thanks to Esko Arajärvi (Closes: #468844)
  * Added smarty-gettext as build-dep (Closes: #452769)
  * Bumped Standards-Version to 3.7.3 no other changes needed.
  * Fixed some lintian errors: 
        - don't ignore errors of make clean in clean target
        - call dh_desktop in rules

 -- Patrick Winnertz <winnie@debian.org>  Mon, 17 Dec 2007 09:10:29 +0100

slbackup-php (0.3-1) unstable; urgency=low

  [Christian Perrier]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #429446
  * Debconf translation updates:
    - Swedish. Closes: #430447
    - German. Closes: #430453
    - Galician. Closes: #430483
    - Basque. Closes: #430512
    - Vietnamese. Closes: #430537
    - Portuguese. Closes: #430595
    - Czech. Closes: #431257
    - Russian. Closes: #431307
    - French

  [Finn-Arne Johansen]
  * Added sl-style.css (Closes: 425820)

  [Patrick Winnertz]
  * Packaging new upstream release.
  * Merging changes from the l10n-Team into slbackup.php. 
    Thanks to everybody who provided a translation!
  * Added translation of slbackup-php itself. 
    Thanks to Daniel Nylander.

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Fri, 13 Jul 2007 21:16:33 +0200

slbackup-php (0.2-0) unstable; urgency=low

  * New upstream release

 -- Finn-Arne Johansen <faj@bzz.no>  Wed, 25 Apr 2007 10:23:08 +0200

slbackup-php (0.1-1) unstable; urgency=low

  * Initial upload (Closes: 419839)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Wed, 18 Apr 2007 17:25:45 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


build: build-stamp build-arch build-indep

build-arch:
# nothing to be done here

build-indep:
	debconf-updatepo

build-stamp:  
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	-$(MAKE) mo-files
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/slbackup-php prefix=/usr


binary-arch: 

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs ./ChangeLog 
	mv $(CURDIR)/debian/slbackup-php/usr/share/doc/slbackup-php/ChangeLog $(CURDIR)/debian/slbackup-php/usr/share/doc/slbackup-php/changelog
	dh_installcron
	dh_installdebconf
	dh_installman
	dh_link
	dh_compress
	dh_fixperms 
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## slbackup-php 0.4.4

=== debian/changelog ===
slbackup-php (0.4.4-1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream release (Closes: #700257).
  * /debian/control:
    + Use my DD mail address in Uploaders: field.
    + Bump Standards: to 3.9.4 after some changes as documented below.
    + Add home page and VCS URL (Closes: #711495).
  * /debian/rules:
    + Add rules build-arch and build-indep.
  * Install slbackup-php.desktop into bin:package.
  * Drop Encoding key from slbackup-php.desktop (deprecated by the
    FreeDesktop standard).
  * Lintian issues:
    + Add override for »slbackup-php: desktop-command-not-in-package
      usr/share/applications/slbackup-php.desktop x-www-browser«.

  [ Petter Reinholdtsen ]
  * Remove no longer active uploaders Patrick Winnertz, Morten Werner
    Olsen, Finn-Arne Johansen.  A huge thank you to all of them for
    past help and effort.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jun 2013 17:57:06 +0200

slbackup-php (0.4.3-2) unstable; urgency=low

  * Rebuild package based on Debian version 0.3-3, only cherry-picking
    minimal changes from Debian version 0.4.3-1 of this package, as
    requested by the Debian release team. This reduction of changes is
    to make a transition of slbackup-php 0.4.3 into wheezy possible.
  * Drop of complete patch series which was needed for 0.3-3.
  * Cherry-picks from 0.4.3-1:
    + New maintainer, package becomes team-maintained: Debian Edu Packaging
      Team.
    + New upstream version. (Closes: #646537, #670095)
    + Run debconf-updatepo during /debian/rules build, not clean. Makes
      slbackup-php buildable with git-buildpackage.
    + Let URL in /debian/slbackup-php.desktop point to
      http://localhost/slbackup-php.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 01 Sep 2012 21:54:58 +0200

=== debian/control ===
Source: slbackup-php
Section: misc
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7.0.50~),
 po-debconf,
Homepage: http://anonscm.debian.org/gitweb/?p=debian-edu/upstream/slbackup-php.git;a=summary
Vcs-Git: git://git.debian.org/debian-edu/slbackup-php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/slbackup-php.git;a=summary

Package: slbackup-php
Architecture: all
Depends:
 ${misc:Depends},
 libapache2-mod-php5,
 apache2,
 ssh,
 php5-cli,
 smarty3,
 smarty-gettext (>= 1.0b1-7),
Suggests:
 x-www-browser,
Description: Web-based administration tool for slbackup
 Slbackup-php provides the necessary functions to maintain a slbackup
 repository.
 .
 Features:
  - scheduling of slbackup execution;
  - editing of the configuration file;
  - verifying SSH keys and successful backups;
  - restoring from backups;
  - removing old backups from the repository.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,14 @@
 # -*- makefile -*-
 
 
-build: build-stamp build-arch build-indep
+build: build-arch build-indep
 
 build-arch:
-# nothing to be done here
+# nothing to do for build-arch
 
-build-indep:
+build-indep: build-stamp
+
+build-stamp:
 	debconf-updatepo
 
 build-stamp:  
@@ -29,7 +31,7 @@
 	-$(MAKE) mo-files
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/slbackup-php prefix=/usr
-
+	dh_install
 
 binary-arch: 
 
@@ -42,6 +44,7 @@
 	dh_installcron
 	dh_installdebconf
 	dh_installman
+	dh_lintian
 	dh_link
 	dh_compress
 	dh_fixperms

## slbackup-php 0.4.5

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	cp $@ $@.bak ; \
 	msgmerge $@.bak $^ > $@ 
 
-locales/mo-stamp: po/*.po
-	for po in $^ ; do \
+locales/mo-stamp:
+	for po in po/*.po ; do \
 	    locale=$$(basename $$po .po) ; \
 	    echo $$locale ; \
 	    mkdir -p locales/$$locale/LC_MESSAGES ; \
@@ -52,9 +52,10 @@
 
 po/slbackup-php.pot: src/*.php templates/*.tpl
 	tsmarty2c.php templates | \
-	    xgettext --add-comments --default-domain=slbackup-php \
+	    xgettext --add-comments --language=PHP --default-domain=slbackup-php \
 	        - src/*.php --output po/slbackup-php.pot
 
+po-files: po/*.po
 
 install: all
 	install -d $(DESTDIR)$(sharedir)
@@ -66,7 +67,7 @@
 	install -d $(DESTDIR)$(scriptdir)
 	install -d $(DESTDIR)$(templatedir)
 	install -d $(DESTDIR)$(localedir)
-	install -d $(DESTDIR)$(bindir)
+	#install -d $(DESTDIR)$(bindir)
 
 
 	for locale in $$(find locales -type f -name $(PACKAGE).mo -printf "%P ") ; do \

=== debian/changelog ===
slbackup-php (0.4.5-7) unstable; urgency=medium

  * Team upload.
  * Replace CDBS build with DebHelper 13

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 01:37:27 +0200

slbackup-php (0.4.5-6) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Switch from smarty3 to smarty4 in Depends: field.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/patches:
    + Add 1008_fix-https-access.patch and 1009_use-smarty4.patch. Fix running
      against smarty4 and PHP 8.2.
  * debian/copyright:
    + Update copyright attributions for debian/.
    + Fix duplicate filename entry.
    + Update Source: URL.
    + Drop COPYING file from list of files.
  * debian/watch:
    + Bump to file format version 4.
  * debian/slbackup-php.lintian-overrides:
    + Update override syntax.
  * debian/patches:
    + Add Forwarded: URLs.
  * debian/po/de.po:
    + Convert to UTF-8.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 15 Oct 2024 13:10:55 +0200

slbackup-php (0.4.5-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + slbackup-php: Drop versioned constraint on smarty-gettext (>= 1.0b1-7) in
      Depends.

  [ Guido Berhörster ]
  * debian/patches:
    + Add 1007_log_remote_commands_to_stderr.patch in order to log to stderr.
    + Add 1006_disable-ssh-known-hosts.patch disabling SSH known hosts files.
    + Add 1005_fix-typo.patch fixing an exception on login. (Closes #1042824).
    + Add 1004_fix-php-warnings.patch fixing PHP warnings.
    + Add 1003_php8-compat.patch fixing PHP 8 compatibility.
    + Fix string splitting in 1002_php7-compat.patch. Use explode() instead of
      preg_split(), the latter needs delimiters for the regex and returns false
      if there was no match which breaks the existing code.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Aug 2023 18:02:58 +0200

slbackup-php (0.4.5-4) unstable; urgency=medium

  * debian/watch:
    + Update to new (maybe temporary) upstream tarball download location.
  + debian/{control,compat}:
    + Bump to DH compat level 10.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Update homepage URL.
  * debian/copyright:
    + Use secure URI to obtain copyright references.
  * debian/upstream/signing-key.asc:
    + Add upstream maintainer's (my own) GnuPG pubkey.
  * debian/upstream/metadata:
    + Comply with DEP-12 upstream metadata enhancement proposal.
  * debian/*: White-space cleanup at EOL.
  * debian/slbackup-php.desktop:
    + Add Icon= key. Use web-browser generic icon for now. Thanks lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jun 2018 23:54:47 +0200

slbackup-php (0.4.5-3) unstable; urgency=medium

  * debian/control:
    + Drop explicit PHP5 dependencies, make package fit for PHP7.
      (Closes: #821659).
    + Bump Standards: to 3.9.8. No changes needed.
  * debian/patches:
    + Add 1002_php7-compat.patch. Use preg_split() instead of split()
      Thanks to Wolfgang Schweer for providing that patch (via #821659).
  * debian/po:
    + Add pt_BR.po translation file. Thanks to Adriano Rafael Gomes for
      working on the internationalization of slbackup-php. (Closes: #816957).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 May 2016 16:12:38 +0200

slbackup-php (0.4.5-2) unstable; urgency=medium

  * debian/po:
    + Add Italian DebConf translation file. (Closes: #761096). Thanks to
      Beatrice Torracca.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
  * debian/patches:
    + Add 1001_adapt-to-apache24.patch. Use Apache 2.4 syntax for granting
      address based access to slbackup-php. Also limit access to the local
      machine by default.
  * debian/copyright:
    + Provide a machine-readable copyright file.
    + Include CDBS auto-generated copyright.in file template.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Jun 2015 00:46:15 +0200

slbackup-php (0.4.5-1) unstable; urgency=low

  * New upstream release. (Closes: #712533).
  * Do packaging with CDBS.
  * debian/control:
    + Alioth-canonicalize Vcs-Git: field.
    + Vcs location has moved into debian-edu/pkg-team/ subfolder.
    + Bump Standards: version to 3.9.5 (no changes needed).
    + Move apache2 | httpd to Depends: rather than Recommends:
      field.
    + Add slbackup to Suggests: field.
  * debian/postinst:
    + Use apache-maintscript-helper to enable mod_rewrite.
  * Make package compliant with Apache 2.4 packaging policy. (Closes: #669780).
  * Update slbackup-php.desktop file, silence warnings when testing the
    file with desktop-file-validate.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Jan 2014 15:04:26 +0100

=== debian/control ===
Source: slbackup-php
Section: misc
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 po-debconf,
Rules-Requires-Root: no
Homepage: https://salsa.debian.org/debian-edu/upstream/slbackup-php
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/slbackup-php.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/slbackup-php

Package: slbackup-php
Architecture: all
Depends:
 ${misc:Depends},
 php,
 apache2 | httpd,
 ssh,
 php-cli,
 smarty4,
 smarty-gettext,
Suggests:
 x-www-browser,
 slbackup,
Description: Web-based administration tool for slbackup
 Slbackup-php provides the necessary functions to maintain a slbackup
 repository.
 .
 Features:
  - scheduling of slbackup execution;
  - editing of the configuration file;
  - verifying SSH keys and successful backups;
  - restoring from backups;
  - removing old backups from the repository.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make mo-files DESTDIR=$(CURDIR)/debian/slbackup-php prefix=/usr

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/slbackup-php prefix=/usr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://people.debian.org/~sunweaver/debian-edu/source/slbackup-php/slbackup-php-(.+)\.tar\.gz
